{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Forgot Password</title>

    <!-- Custom fonts for this template-->
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin-2.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/media-query.css' %}" rel="stylesheet">

    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

</head>

<body class="bg-gradient-primary">

    <div class="container">

        <!-- Outer Row -->
        <div class="row justify-content-center">

            <div class="col-lg-8 col-md-6">

                <div class="card o-hidden border-0 shadow-lg my-5">
                    <div class="card-body p-0">
                        <!-- Nested Row within Card Body -->
                        <div class="d-flex justify-content-center">
                            <div class="col-lg-8">
                                <div class="p-5" id="form">
                                    <div class="text-center">
                                        <br>
                                        <h1 class="h3 text-gray-900 mb-4">Reset Your Password</h1>
                                        <br>
                                    </div>

                                    <div id="result"></div>

                                    <form action="" method="POST" class="user">
                                        {% csrf_token %}
                                            <div class="form-group">
                                                <input type="text" name="username" class="form-control form-control-user"
                                                id="un" aria-describedby="emailHelp"
                                                placeholder="Masukkan nama penggunamu..." autocomplete="off" required>
                                            </div>
                                            <button type="button" class="btn btn-primary btn-user" onclick='getpass()' id="continue">Click to Continue</button>
                                            
                                            <div class="form-group" style="display:none" id="afterotp">
                                                <label>Enter OTP</label>
                                                <input type="number" class="form-control form-control-user" id="uotp" aria-describedby="emailHelp" placeholder="Enter OTP Here..." autocomplete="off" required>
                                                
                                                <button onclick="matchotp()" type="button" class="btn btn-info btn-user mt-3">Verify OTP</button>
                                            </div>
                                    

                                        <div style="display:none" id="changepass">
                                            <div class="form-group">
                                                <label>Enter New Password</label>
                                                <input type="password" name="npass" class="form-control form-control-user" aria-describedby="emailHelp" placeholder="Enter New Password..." autocomplete="off" required>
                                            </div>
                                            <div class="form-group">
                                                <input type="submit" value="CHANGE MY PASSWORD" class="btn btn-success btn-user">
                                            </div>
                                        </div>
                                    <input type="hidden"  id="realotp">

                                    </form>

                                    <hr>

                                    <div class="text-center">
                                        <a class="small" href="/login">Login</a>
                                    </div>
                                    <div class="text-center">
                                        <a class="small" href="/register">Belum punya akun? Buat Akun!</a>
                                    </div>

                                    <div class="text-center">
                                        <a class="small" href="/">Home</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>

    </div>

    <!-- Bootstrap core JavaScript-->
    <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static 'js/sb-admin-2.min.js' %}"></script>

    <script src="{% static 'js/getpass.js' %}"> </script>
    

    {% if status %}
    <script>
        alert("{{status}}");
        window.location="/"
    </script>
    {% endif %}

</body>

</html>